Package org.apache.sysds.runtime.matrix.data

## Class BinaryBlockToTextCellConverter

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.BinaryBlockToTextCellConverter

All Implemented Interfaces:
  `Converter<MatrixIndexes,​MatrixBlock,​org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>`

    public class BinaryBlockToTextCellConverter
    extends Object
    implements Converter<MatrixIndexes,​MatrixBlock,​org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>

### Constructor Summary

Constructors
`BinaryBlockToTextCellConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `convert​(MatrixIndexes k1, MatrixBlock v1)` Before calling convert, please make sure to setBlockSize(blen, blen);
`boolean` `hasNext()`
`Pair<org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>` `next()`
`void` `setBlockSize​(int nr, int nc)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryBlockToTextCellConverter

    public BinaryBlockToTextCellConverter()

### Method Detail

#### convert

    public void convert​(MatrixIndexes k1,
                        MatrixBlock v1)

Before calling convert, please make sure to setBlockSize(blen, blen);

Specified by:
  `convert` in interface `Converter<MatrixIndexes,​MatrixBlock,​org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Converter<MatrixIndexes,​MatrixBlock,​org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>`

#### next

    public Pair<org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text> next()

Specified by:
  `next` in interface `Converter<MatrixIndexes,​MatrixBlock,​org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>`

#### setBlockSize

    public void setBlockSize​(int nr,
                             int nc)

Specified by:
  `setBlockSize` in interface `Converter<MatrixIndexes,​MatrixBlock,​org.apache.hadoop.io.NullWritable,​org.apache.hadoop.io.Text>`